///////////////////////////////////////////
// *** Th3K1ll3r's Common Shader File ***
///////////////////////////////////////////


//--------------------------
// * Common Textures *
//--------------------------

textures/common/caulk
{
    surfaceparm nodraw
    surfaceparm nolightmap
    surfaceparm nomarks
    surfaceparm nodamage
}

textures/common/caulk_hollow
{
    qer_editorImage "textures/common/caulk.tga"
    qer_trans 0.50
    surfaceparm nodraw
    surfaceparm nolightmap
    surfaceparm nomarks
    surfaceparm nonsolid
}

textures/common/clip
{
    qer_trans 0.40
    surfaceparm nodraw
    surfaceparm nolightmap
    surfaceparm nomarks
    surfaceparm noimpact
    surfaceparm nodamage
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm playerclip
}

textures/common/cushion
{
    qer_nocarve
    qer_trans 0.50
    surfaceparm nodraw
    surfaceparm nolightmap
    surfaceparm nomarks
    surfaceparm nodamage
    surfaceparm trans
}

textures/common/hint
{
    qer_nocarve
    qer_trans 0.30
    surfaceparm nodraw
    surfaceparm noimpact
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm structural
    surfaceparm hint
}

textures/common/ladder
{
    qer_editorimage "textures/common/ladder.tga"
    qer_trans 0.40
    surfaceparm nodraw
    surfaceparm nolightmap
    surfaceparm nomarks
    surfaceparm noimpact
    surfaceparm nodamage
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm playerclip
    surfaceparm ladder
}

textures/common/nodraw
{
    surfaceparm nodraw
    surfaceparm nolightmap
    surfaceparm nomarks
    surfaceparm nonsolid
    surfaceparm trans
}

textures/common/slick
{
    qer_trans 0.50
    surfaceparm nodraw
    surfaceparm nolightmap
    surfaceparm nomarks
    surfaceparm nodamage
    surfaceparm trans
    surfaceparm slick
}

textures/common/trigger
{
    qer_nocarve
    qer_trans 0.50
    surfaceparm nodraw
}

textures/common/watercaulk
{
    qer_nocarve
    qer_editorimage "textures/common/watercaulk.tga"
    qer_trans 0.50
    surfaceparm nodraw
    surfaceparm nolightmap
    surfaceparm nomarks
    surfaceparm noimpact
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm water
}

textures/common/lavacaulk
{
    qer_nocarve
    qer_editorimage "textures/common/lavacaulk.tga"
    qer_trans 0.50
    surfaceparm nodraw
    surfaceparm nolightmap
    surfaceparm nomarks
    surfaceparm noimpact
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm lava
}


//--------------------------
// * Fog Textures *
//--------------------------

textures/common/whitefog
{
    qer_editorimage "textures/common/whitefog.jpg"
    qer_trans 0.70
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm fog
    fogparms ( 255 255 255 ) 350
    q3map_bouncescale 0
}

textures/common/darkfog
{
    qer_editorimage "textures/common/darkfog.jpg"
    qer_trans 0.70
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm fog
    fogparms ( 0 0 0 ) 350
    q3map_bouncescale 0
}


//--------------------------
// * Glass Textures *
//--------------------------

textures/common/whiteglass
{
    qer_editorimage "textures/common/whiteglass.jpg"
    qer_trans 0.50
    q3map_lightimage "textures/common/utils/glass_radiosity.tga"
    q3map_bouncescale 0.40
    surfaceparm nolightmap
    surfaceparm nodamage
    surfaceparm trans
    surfaceparm slick
    surfaceparm detail
    cull disable
    {
        map "textures/common/utils/q3a_glass_clear.tga"
        blendfunc add
        tcGen environment
    }
}

textures/common/darkglass
{
    qer_editorimage "textures/common/darkglass.jpg"
    qer_trans 0.50
    q3map_bouncescale 0.40
    surfaceparm nolightmap
    surfaceparm nodamage
    surfaceparm trans
    surfaceparm slick
    surfaceparm detail
    cull disable
    {
        map "textures/common/utils/tinfx3.tga"
        tcgen environment
        blendFunc GL_ONE GL_ONE
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }
}


//--------------------------
// * Light Textures *
//--------------------------

textures/common/lightbeam
{
    qer_editorimage "textures/common/lightbeam.jpg"
    qer_trans 0.90
    q3map_lightimage "textures/common/utils/light_beam_c.tga"
    q3map_surfacelight 80
    surfaceparm nolightmap
    surfaceparm nomarks
    surfaceparm noimpact
    surfaceparm nomipmaps
    surfaceparm nonsolid
    surfaceparm trans
    cull none
    {
        map "textures/common/utils/light_beam_1.tga"
        rgbGen const ( 0.01 0.01 0.01 )
        tcMod Scroll 0.10 0
        blendFunc add
    }
}


//--------------------------
// * Mirror Textures *
//--------------------------

textures/common/qer_mirror
{
    portal
    qer_editorImage "textures/common/qer_mirror.tga"
    surfaceparm nolightmap
    surfaceparm nodamage
    surfaceparm slick
    {
        map "textures/common/utils/mirror.tga"
        blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
        depthWrite
    }
    {
        map "textures/common/utils/tint.tga"
        blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
    }
}


//--------------------------
// * Camera Textures *
//--------------------------

textures/common/camera
{
    portal
    qer_editorImage "textures/common/camera.jpg"
    surfaceparm nolightmap
    surfaceparm nodamage
    surfaceparm slick
    surfaceparm detail
    {
        map "textures/common/utils/looking_glass_clear.tga"
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        depthWrite
    }
    {
        map "textures/common/utils/q3a_looking_glass_fog.tga"
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen portal 256
        rgbGen identityLighting
        tcMod rotate 20
        tcMod scroll 0.05 0.2
    }
}
