///////////////////////////////////////////////
// *** Krypton - Misc Shader File ***
///////////////////////////////////////////////


//--------------------------
// * Skybox Textures *
//--------------------------

textures/krypton_misc/sky
{
    qer_editorimage "env/krypton_sky/sky16_up.jpg"
    surfaceparm nolightmap
    surfaceparm nomarks
    surfaceparm noimpact
    surfaceparm nodlight
    surfaceparm sky
    nopicmip
    nomipmaps
    q3map_globaltexture
    q3map_lightmapFilterRadius 0 8
    q3map_skylight 500 5
    q3map_sunExt 0.70 1 1 255 0 90 15 32
    skyparms "env/krypton_sky/sky16" - -
}


//--------------------------
// * Misc Textures *
//--------------------------

textures/krypton_misc/water
{
    qer_editorimage "textures/krypton_misc/hq_water_a.jpg"
    qer_trans 0.60
    q3map_surfacelight 1000
    q3map_globaltexture
    surfaceparm noimpact
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm water
    cull disable
    tessSize 128
    deformVertexes wave 132 sin 3.0 1.5 4.0 0.16
    deformVertexes bulge 15 2 1
    {
        map "textures/krypton_misc/hq_water_a.jpg"
        blendFunc GL_DST_COLOR GL_ONE
        rgbGen identity
        tcMod scroll -0.01 0.05
    }
    {
        map "textures/krypton_misc/hq_water_b.jpg"
        blendFunc GL_DST_COLOR GL_ONE
        rgbGen identity
        tcMod scroll 0.05 -0.01
    }
    {
        map "textures/krypton_misc/hq_water_c.jpg"
        blendFunc GL_DST_COLOR GL_ONE
        rgbGen identity
        tcMod scroll -0.05 0.01
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE
        rgbgen identity
    }
}

textures/krypton_misc/lava
{
    qer_editorimage "textures/krypton_misc/lava.jpg"
    qer_trans 0.60
    q3map_surfacelight 400
    q3map_globaltexture
    surfaceparm noimpact
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm lava
    cull disable
    tesssize 128
    deformVertexes wave 250 sin 4 8 0.15 0.30
    {
        map "textures/krypton_misc/lava.jpg"
        tcmod scale 0.50 0.50
        tcmod scroll 0 0
        tcMod turb 0.10 0.10 0.01 0.01
        blendFunc GL_ONE GL_ZERO
        rgbGen identity
    }
}

textures/krypton_misc/lava2
{
    qer_editorimage "textures/krypton_misc/lava2.jpg"
    qer_trans 0.60
    q3map_surfacelight 400
    q3map_globaltexture
    surfaceparm noimpact
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm water
    cull disable
    tesssize 128
    deformVertexes wave 250 sin 4 8 0.15 0.30
    {
        map "textures/krypton_misc/lava2.jpg"
        tcmod scale 0.50 0.50
        tcmod scroll 0 0
        tcMod turb 0.10 0.10 0.01 0.01
        blendFunc GL_ONE GL_ZERO
        rgbGen identity
    }
}

textures/krypton_misc/dirt
{
    qer_editorimage "textures/krypton_misc/dirt.jpg"
    surfaceparm nodamage
    surfaceparm slick
    {
        map "textures/krypton_misc/dirt.jpg"
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
}

textures/krypton_misc/manhole
{
    qer_editorImage "textures/krypton_misc/manhole.jpg"
    surfaceparm nodamage
    surfaceparm slick
    polygonOffset
    sort nearest
    {
        map "textures/krypton_misc/manhole.jpg"
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
}

textures/krypton_misc/diamond
{
    qer_editorimage "textures/krypton_misc/diamond.jpg"
    q3map_surfacelight 200
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map "textures/krypton_misc/diamond.jpg"
        blendFunc filter
    }
    {
        map "textures/krypton_misc/icytint.tga"
        blendFunc GL_DST_COLOR GL_ONE
        rgbGen identity
        tcGen environment
        tcMod scale 2 2
    }
    {
        map "textures/krypton_misc/icytint.tga"
        blendFunc GL_DST_COLOR GL_ONE
        rgbGen identity
        tcGen environment
        tcMod scale 2 2
    }
    {
        map "textures/krypton_misc/icytint.tga"
        blendFunc GL_DST_COLOR GL_ONE
        rgbGen identity
        tcGen environment
        tcMod scale 2 2
    }
}

textures/krypton_misc/icymetal
{
    qer_editorimage "textures/krypton_misc/icymetal.tga"
    q3map_surfacelight 200
    surfaceparm alphashadow
    surfaceparm nomarks
    surfaceparm nodamage
    surfaceparm trans
    surfaceparm slick
    {
        map "textures/krypton_misc/icymetal.tga"
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen identity
    }
    {
        map "textures/krypton_misc/icytint.tga"
        blendFunc GL_DST_COLOR GL_ONE
        rgbGen identity
        tcGen environment
        tcMod scale 2 2
    }
    {
        map "textures/krypton_misc/icytint.tga"
        blendFunc GL_DST_COLOR GL_ONE
        rgbGen identity
        tcGen environment
        tcMod scale 2 2
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

textures/krypton_misc/portal
{
    qer_editorimage "textures/krypton_misc/portal.jpg"
    qer_trans 0.70
    q3map_surfacelight 200
    surfaceparm nonsolid
    {
        map "textures/krypton_misc/portal.jpg"
        tcMod scroll 0 1
    }
}

textures/krypton_misc/timerline
{
    qer_editorimage "textures/krypton_misc/timerline.jpg"
    surfaceparm nodamage
    {
        map "textures/krypton_misc/timerline.jpg"
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
}

textures/krypton_misc/block1
{
    qer_editorimage "textures/krypton_misc/block1.jpg"
    surfaceparm nodamage
    {
        map "textures/krypton_misc/block1.jpg"
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
}

textures/krypton_misc/block1_light
{
    qer_editorimage "textures/krypton_misc/block1_light.jpg"
    surfaceparm nodamage
    {
        map "textures/krypton_misc/block1_light.jpg"
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
}

textures/krypton_misc/block2
{
    qer_editorimage "textures/krypton_misc/block2.jpg"
    surfaceparm nodamage
    {
        map "textures/krypton_misc/block2.jpg"
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
}

textures/krypton_misc/floor
{
    qer_editorimage "textures/krypton_misc/floor.jpg"
    surfaceparm nodamage
    {
        map "textures/krypton_misc/floor.jpg"
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
}

textures/krypton_misc/floor2
{
    qer_editorimage "textures/krypton_misc/floor2.jpg"
    surfaceparm nodamage
    {
        map "textures/krypton_misc/floor2.jpg"
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
}

textures/krypton_misc/lavafloor
{
    qer_editorimage "textures/krypton_misc/lavafloor.jpg"
    q3map_surfacelight 200
    surfaceparm nodamage
    {
        map "textures/krypton_misc/lavafloor.jpg"
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
}

textures/krypton_misc/metal
{
    qer_editorimage "textures/krypton_misc/metal.jpg"
    surfaceparm nodamage
    {
        map "textures/krypton_misc/metal.jpg"
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
}

textures/krypton_misc/metal2
{
    qer_editorimage "textures/krypton_misc/metal2.jpg"
    surfaceparm nodamage
    {
        map "textures/krypton_misc/metal2.jpg"
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
}

textures/krypton_misc/metal3
{
    qer_editorimage "textures/krypton_misc/metal3.jpg"
    surfaceparm nodamage
    {
        map "textures/krypton_misc/metal3.jpg"
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
}

textures/krypton_misc/metal4
{
    qer_editorimage "textures/krypton_misc/metal4.jpg"
    surfaceparm nodamage
    {
        map "textures/krypton_misc/metal4.jpg"
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
}

textures/krypton_misc/stair
{
    qer_editorimage "textures/krypton_misc/stair.jpg"
    q3map_surfacelight 200
    surfaceparm nodamage
    {
        map "textures/krypton_misc/stair.jpg"
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
}

textures/krypton_misc/stepborder
{
    qer_editorimage "textures/krypton_misc/stepborder.jpg"
    surfaceparm nodamage
    {
        map "textures/krypton_misc/stepborder.jpg"
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
}

textures/krypton_misc/support
{
    qer_editorimage "textures/krypton_misc/support.jpg"
    surfaceparm nodamage
    {
        map "textures/krypton_misc/support.jpg"
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
}

textures/krypton_misc/tile
{
    qer_editorimage "textures/krypton_misc/tile.jpg"
    surfaceparm nodamage
    {
        map "textures/krypton_misc/tile.jpg"
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
}
